# Class BindingProperties

java.lang.Object
org.eclipse.core.databinding.BindingProperties

public class BindingProperties extends Object
A factory for creating properties for core types in the DataBinding framework e.g. `DataBindingContext` or ValidationStatusProvider.

Since:
  1.2

## Constructor Summary

Constructors
Constructor
Description
`BindingProperties()`

## Method Summary

Modifier and Type
Method
Description
`static IListProperty<DataBindingContext, Binding>`
`bindings()`
Returns an `IListProperty` for observing the bindings of a `DataBindingContext`.
`static <S,T> IValueProperty<S,T>`
`convertedValue(IConverter<S,T> converter)`
Returns an `IValueProperty` whose value results from applying the given `IConverter` on the source object of the value property.
`static IValueProperty<Binding, IObservable>`
`model()`
Returns an `IValueProperty` for observing the model of a `Binding`.
`static IListProperty<ValidationStatusProvider, IObservable>`
`models()`
Returns an `IListProperty` for observing the models of a `ValidationStatusProvider`.
`static IValueProperty<Binding, IObservable>`
`target()`
Returns an `IValueProperty` for observing the target of a `Binding`.
`static IListProperty<ValidationStatusProvider, IObservable>`
`targets()`
Returns an `IListProperty` for observing the targets of a `ValidationStatusProvider`.
`static IValueProperty<ValidationStatusProvider, IStatus>`
`validationStatus()`
Returns an `IValueProperty` for observing the validation status of a `ValidationStatusProvider`.
`static IListProperty<DataBindingContext, ValidationStatusProvider>`
`validationStatusProviders()`
Returns an `IListProperty` for observing the validation status providers of a `DataBindingContext`.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BindingProperties

public BindingProperties()

## Method Details

### bindings

public static IListProperty<DataBindingContext, Binding> bindings()
Returns an `IListProperty` for observing the bindings of a `DataBindingContext`.

Returns:
  an `IListProperty` for observing the bindings of a `DataBindingContext`.

### model

public static IValueProperty<Binding, IObservable> model()
Returns an `IValueProperty` for observing the model of a `Binding`.

Returns:
  an `IValueProperty` for observing the model of a `Binding`.

### models

public static IListProperty<ValidationStatusProvider, IObservable> models()
Returns an `IListProperty` for observing the models of a `ValidationStatusProvider`.

Returns:
  an `IListProperty` for observing the models of a `ValidationStatusProvider`.

### target

public static IValueProperty<Binding, IObservable> target()
Returns an `IValueProperty` for observing the target of a `Binding`.

Returns:
  an `IValueProperty` for observing the target of a `Binding`.

### targets

public static IListProperty<ValidationStatusProvider, IObservable> targets()
Returns an `IListProperty` for observing the targets of a `ValidationStatusProvider`.

Returns:
  an `IListProperty` for observing the targets of a `ValidationStatusProvider`.

### validationStatus

public static IValueProperty<ValidationStatusProvider, IStatus> validationStatus()
Returns an `IValueProperty` for observing the validation status of a `ValidationStatusProvider`.

Returns:
  an `IValueProperty` for observing the validation status of a `ValidationStatusProvider`.

### validationStatusProviders

public static IListProperty<DataBindingContext, ValidationStatusProvider> validationStatusProviders()
Returns an `IListProperty` for observing the validation status providers of a `DataBindingContext`.

Returns:
  an `IListProperty` for observing the validation status providers of a `DataBindingContext`.

### convertedValue

public static <S,T> IValueProperty<S,T> convertedValue(IConverter<S,T> converter)
Returns an `IValueProperty` whose value results from applying the given `IConverter` on the source object of the value property. Consequently, the `value type` of the returned property is the same as the `target type` of the converter. Setting a value on the property is not supported.

Parameters:
  `converter` - The converter to apply to the source object of the value property.
Returns:
  A new instance of a value property whose value is the result of applying the given converter to the source object passed to the value property.
Since:
  1.4
See Also:
  - `Properties.convertedValue(Object, java.util.function.Function)`